nodes['htz-cloud.influxdb'] = {
    'hostname': '116.203.84.44',
    'bundles': {
        'grafana',
        'influxdb2',
        'telegraf-monitors-mikrotik',
        'zfs',
    },
    'groups': {
        'debian-buster',
        'webserver',
    },
    'metadata': {
        'apt': {
            'packages': {
                # for telegraf
                'snmp': {},
                'snmp-mibs-downloader': {},
            },
        },
        'interfaces': {
            'eth0': {
                'ips': {
                    '116.203.84.44',
                    '2a01:4f8:c0c:8d56::1/64',
                },
                'gateway4': '172.31.1.1',
                'gateway6': 'fe80::1',
            },
            'ens10': {
                'ips': {
                    '172.19.137.6/32',
                },
                'routes': {
                    # VPN
                    '172.19.136.0/22': {
                        'via': '172.19.137.1',
                    },
                },
            },
        },
        'grafana': {
            'domain': 'grafana.kunsmann.eu',
            'login_max_duration': '30d',
        },
        'icinga_options': {
            'pretty_name': 'InfluxDB',
        },
        'nginx': {
            'vhosts': {
                'influxdb': {
                    'domain': 'influxdb.kunsmann.eu',
                    'locations': {
                        '/': {
                            'target': 'http://localhost:8086',
                            'websockets': True,
                        },
                        '/debug': {
                            'return': 403,
                        },
                        '/metrics': {
                            'return': 403,
                        },
                    },
                },
            },
        },
        'telegraf': {
            'input_plugins': {
                'builtin': {
                    'snmp': [
                        {
                            'agents': ['udp://172.19.138.3'],
                            'agent_host_tag': 'host',
                            'field': [
                                {'oid': 'SNMPv2-SMI::mib-2.33.1.2.3.0', 'name': 'battery_runtime_to_empty'},
                                {'oid': 'SNMPv2-SMI::mib-2.33.1.2.4.0', 'name': 'battery_capacity'},
                                {'oid': 'SNMPv2-SMI::mib-2.33.1.2.5.0', 'name': 'battery_voltage', 'conversion': 'float(1)'},
                                {'oid': 'SNMPv2-SMI::mib-2.33.1.2.6.0', 'name': 'battery_current', 'conversion': 'float(1)'},
                                {'oid': 'SNMPv2-SMI::mib-2.33.1.3.3.1.2.1', 'name': 'input_frequency', 'conversion': 'float(1)'},
                                {'oid': 'SNMPv2-SMI::mib-2.33.1.3.3.1.3.1', 'name': 'input_voltage'},
                                {'oid': 'SNMPv2-SMI::mib-2.33.1.4.2.0', 'name': 'output_frequency', 'conversion': 'float(1)'},
                                {'oid': 'SNMPv2-SMI::mib-2.33.1.4.4.1.2.1', 'name': 'output_voltage'},
                                {'oid': 'SNMPv2-SMI::mib-2.33.1.4.4.1.3.1', 'name': 'output_frequency', 'conversion': 'float(1)'},
                                {'oid': 'SNMPv2-SMI::mib-2.33.1.4.4.1.4.1', 'name': 'output_watts'},
                                {'oid': 'SNMPv2-SMI::mib-2.33.1.4.4.1.5.1', 'name': 'output_percent'},
                            ],
                            'interval': '10s',
                        },
                        {
                            'agents': ['udp://172.19.138.41'],
                            'agent_host_tag': 'host',
                            'table': [{'oid': 'IF-MIB::ifTable'}],
                        },
                    ],
                },
            },
        },
        #'openssh': {
        #    'restrict-to': {
        #        'versatel',
        #    },
        #},
        'vm': {
            'cpu': 1,
            'ram': 2,
        },
        'zfs': {
            'pools': {
                'tank': {
                    'when_creating': {
                        'config': [{
                            'devices': {'/dev/sdb'},
                        }],
                    },
                },
            },
        },
    },
}
